[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.UpdateRecord

Called when the data in the dataset must be updated

## Declaration

Source position: db.pas line 1428

`public procedure TDataLink.UpdateRecord;`

## Description

Updaterecord is called when the dataset expects the GUI controls to post any pending changes to the dataset. This method guards against recursive behaviour: while an UpdateRecord is in progress, the TDatalink.RecordChange notification (which could result from writing data to the dataset) will be blocked.

## See also

TDatalink.RecordChange

The latest version of this document can be found at lazarus-ccr.sourceforge.net .